function [x,y]=EdgeDetector(TestImage1, TestImage2, XMark, YMark)


%b=imread('c029.jpg','jpg');
b=TestImage1;
%figure; imagesc(b);colormap(gray);
%c=imread('c030.jpg','jpg');
c=TestImage2;

%figure; imagesc(c);colormap(gray);
z = (c/max(max(c)))-(b/max(max(b)));

%z=c/max(max(c));
figure; imagesc(z);colormap(gray);

nh=ones(5,5);
stdv_image = stdfilt(z,nh);
figure; imagesc(stdv_image);

%figure;imagesc(histeq(z));colormap(gray);

%edge detection by Sarah
jet_edges1=edgemap(z);
jet_edges1 = im2bw(jet_edges1,0);

%edge detection by Sobel
jet_edges2 = edge(z,'sobel');

%combine to edges and threshold
JET_EDGES = imadd(jet_edges1, jet_edges2);
level = graythresh(JET_EDGES); 
JET_EDGES = im2bw(JET_EDGES,level);
%figure; imagesc(JET_EDGES);colormap(gray);




connections = connect7(JET_EDGES);
JET_EDGES(find(connections~=2)) = 1;
%figure;imagesc(JET_EDGES);colormap(gray);

connections = connect6(JET_EDGES);
JET_EDGES(find(connections~=2)) = 1;
%figure;imagesc(JET_EDGES);colormap(gray);

connections = connect5(JET_EDGES);
JET_EDGES(find(connections~=2)) = 1;
%figure;imagesc(JET_EDGES);colormap(gray);

connections = connect4(JET_EDGES);
JET_EDGES(find(connections~=2)) = 1;
%figure;imagesc(JET_EDGES);colormap(gray);

connections = connect3(JET_EDGES);
JET_EDGES(find(connections~=2)) = 1;
%figure;imagesc(JET_EDGES);colormap(gray);

connections = connect2(JET_EDGES);
JET_EDGES(find(connections~=2)) = 1;
%figure;imagesc(JET_EDGES);colormap(gray);

connections = connect1(JET_EDGES);
JET_EDGES(find(connections~=2)) = 1;
%figure;imagesc(JET_EDGES);colormap(gray);


JET_EDGES = imfill(JET_EDGES,'holes');


L = bwlabel(JET_EDGES,8); %Find the already connected regions within the input image IM 
RegionAreas = regionprops(L, 'area');
Area = cat(1, RegionAreas.Area);
LabelNum=find(Area==max(Area));

JET = zeros(size(JET_EDGES));
JET(find(L==LabelNum))=1;
%figure;imagesc(JET);colormap(gray);






JetBoundary = bwboundaries(JET);
x = JetBoundary{1}(:,2);
y = JetBoundary{1}(:,1);









